Bug 446417 - Review Request: GLC_Player - GLC_Player is an Open Source software used to view 3d models (OBJ Format)
Review Request: GLC_Player - GLC_Player is an Open Source software used to vi...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
Fedora Extras Quality Assurance
:
Depends On: 446415
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 11:12 EDT by Nicolas Chauvet (kwizart)
Modified: 2008-05-18 17:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-18 17:52:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ed: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2008-05-14 11:12:43 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/GLC_Player.spec
SRPM URL:
http://rpms.kwizart.net/fedora/9/SRPMS/GLC_Player-1.0.2-1.fc9.kwizart.src.rpm
Description: GLC_Player is an Open Source software used to view 3d models (OBJ Format)
Comment 1 Ed Hill 2008-05-17 13:52:06 EDT
Hi kwizart,

This looks like another straight-forward and clean package:

 + source matches upstream:
830320e39e7573ddf609ac7ade200a69f51143fe  GLC_Player_src_1.0.2.zip_UPSTREAM
830320e39e7573ddf609ac7ade200a69f51143fe  GLC_Player_src_1.0.2.zip
 + license is correct (GPLv2+) and correctly omitted 
   (not present in upstream zip)
 + I did not build it in mock but it does build on an F8 x86_64 system with 
   GLC_lib-devel and installed
 + clean section and "rm -rf $RPM_BUILD_ROOT" in install
 + specfile is simple, clean, and macros look OK
 + rpmlint reports just one warning which is safe to ignore:
GLC_Player.x86_64: W: no-documentation
 + proper use of desktop-file-install

so its APPROVED.

Also, I tried running "glc_player" on my F8 laptop and it works but it 
crashes when I rotate models.  I submitted a bug upstream:

http://sourceforge.net/tracker/index.php?func=detail&aid=1966010&group_id=208854&atid=1007370

and was wondering--does the crash-during-model-rotation happen for you?  
I'm just curious.  I suppose may be some sort of OpenGL driver issue.
Comment 2 Nicolas Chauvet (kwizart) 2008-05-17 17:01:42 EDT
Well , It's working fine here with nvidia. (and also fglrx)
I don't remember if it worked with radeon.
Comment 3 Nicolas Chauvet (kwizart) 2008-05-17 17:04:29 EDT
New Package CVS Request
=======================
Package Name: GLC_Player
Short Description: GLC_Player is an Open Source software used to view 3d models
(OBJ Format)
Owners: kwizart
Branches: F-8 F-9 EL-4 EL-5
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-05-18 14:08:31 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.